FEDORA-EPEL-2019-40a9ceccd5 created by ret2libc 3 months ago for Fedora EPEL 7
obsolete
  • Rebase to radare2 3.9.0
  • Fix CVE-2019-14745 in epel7

This update has been submitted for testing by ret2libc.

3 months ago

This update's test gating status has been changed to 'waiting'.

3 months ago

This update's test gating status has been changed to 'ignored'.

3 months ago

This update has been pushed to testing.

3 months ago
User Icon tis commented & provided feedback 3 months ago
karma

Update package can't be build any more because it requires python36 which is no more there. (It is still in epel build system but if you try to build in mock build fails.)

meson.build:3:0: ERROR: python36 not found

rhel7.7 python3 doesn't provide python36 binary, it only provides python3 and python3.6

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

3 months ago
User Icon tis commented & provided feedback 3 months ago

Fix is to change BuildRequires: python36 to BuildRequires: python3 and remove epel python36 patch on epel7.

User Icon ret2libc commented & provided feedback 3 months ago

Thanks! Will do

This update has been obsoleted by radare2-3.9.0-3.el7.1.

3 months ago

Please login to add feedback.

Metadata
Type
security
Severity
medium
Karma
-1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Dates
submitted
3 months ago
in testing
3 months ago
BZ#1709298 radare2-3.9.0 is available
0
0
BZ#1756378 CVE-2019-14745 radare2: a command injection vulnerability in bin_symbols() in libr/core/cbin.c leads to arbitrary code execution [epel-7]
0
0

Automated Test Results